Package jnr.constants.platform.dragonflybsd

# Enum Syslog

java.lang.Object
java.lang.Enum<Syslog>
jnr.constants.platform.dragonflybsd.Syslog

All Implemented Interfaces:
  `Serializable`, `Comparable<Syslog>`, `java.lang.constant.Constable`, `Constant`

public enum Syslog extends Enum<Syslog> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOG_ALERT`
`LOG_AUTH`
`LOG_AUTHPRIV`
`LOG_CONS`
`LOG_CONSOLE`
`LOG_CRIT`
`LOG_CRON`
`LOG_DAEMON`
`LOG_DEBUG`
`LOG_EMERG`
`LOG_ERR`
`LOG_FTP`
`LOG_INFO`
`LOG_KERN`
`LOG_LOCAL0`
`LOG_LOCAL1`
`LOG_LOCAL2`
`LOG_LOCAL3`
`LOG_LOCAL4`
`LOG_LOCAL5`
`LOG_LOCAL6`
`LOG_LOCAL7`
`LOG_LPR`
`LOG_MAIL`
`LOG_NDELAY`
`LOG_NEWS`
`LOG_NOTICE`
`LOG_NOWAIT`
`LOG_NTP`
`LOG_ODELAY`
`LOG_PERROR`
`LOG_PID`
`LOG_SECURITY`
`LOG_SYSLOG`
`LOG_USER`
`LOG_UUCP`
`LOG_WARNING`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static Syslog`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Syslog[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### LOG_ALERT

public static final Syslog LOG_ALERT

### LOG_AUTH

public static final Syslog LOG_AUTH

### LOG_AUTHPRIV

public static final Syslog LOG_AUTHPRIV

### LOG_CONS

public static final Syslog LOG_CONS

### LOG_CONSOLE

public static final Syslog LOG_CONSOLE

### LOG_CRIT

public static final Syslog LOG_CRIT

### LOG_CRON

public static final Syslog LOG_CRON

### LOG_DAEMON

public static final Syslog LOG_DAEMON

### LOG_DEBUG

public static final Syslog LOG_DEBUG

### LOG_EMERG

public static final Syslog LOG_EMERG

### LOG_ERR

public static final Syslog LOG_ERR

### LOG_FTP

public static final Syslog LOG_FTP

### LOG_INFO

public static final Syslog LOG_INFO

### LOG_KERN

public static final Syslog LOG_KERN

### LOG_LOCAL0

public static final Syslog LOG_LOCAL0

### LOG_LOCAL1

public static final Syslog LOG_LOCAL1

### LOG_LOCAL2

public static final Syslog LOG_LOCAL2

### LOG_LOCAL3

public static final Syslog LOG_LOCAL3

### LOG_LOCAL4

public static final Syslog LOG_LOCAL4

### LOG_LOCAL5

public static final Syslog LOG_LOCAL5

### LOG_LOCAL6

public static final Syslog LOG_LOCAL6

### LOG_LOCAL7

public static final Syslog LOG_LOCAL7

### LOG_LPR

public static final Syslog LOG_LPR

### LOG_MAIL

public static final Syslog LOG_MAIL

### LOG_NDELAY

public static final Syslog LOG_NDELAY

### LOG_NEWS

public static final Syslog LOG_NEWS

### LOG_NOTICE

public static final Syslog LOG_NOTICE

### LOG_NOWAIT

public static final Syslog LOG_NOWAIT

### LOG_NTP

public static final Syslog LOG_NTP

### LOG_ODELAY

public static final Syslog LOG_ODELAY

### LOG_PERROR

public static final Syslog LOG_PERROR

### LOG_PID

public static final Syslog LOG_PID

### LOG_SECURITY

public static final Syslog LOG_SECURITY

### LOG_SYSLOG

public static final Syslog LOG_SYSLOG

### LOG_USER

public static final Syslog LOG_USER

### LOG_UUCP

public static final Syslog LOG_UUCP

### LOG_WARNING

public static final Syslog LOG_WARNING

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static Syslog[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Syslog valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<Syslog>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`